/* local.h - installation-dependant pathnames, etc. */
/* Installation in %.CLib on MDFS                   */

#ifndef __local_h
#define __local_h

/* Change the #defines in this file to specify where the Small-C compiler
 * system is installed. If the path "%" is available, pointing to the
 * library directory, then put the CLib directory in the library.  If "%"
 * is not available, CLib should be put in the $ directory.
 */

/* as65 pathnames */
/* Suggested values:
 * DFS:
 *   MNEMTAB ":0.$.mnemtab"
 *   OPTAB   ":0.$.optab"
 * If "%" is available:
 *   MNEMTAB "%.CLib.mnemtab"
 *   OPTAB   "%.CLib.optab"
 * If "%" is not available
 *   MNEMTAB ":<drive>.Library.CLib.mnemtab"
 *   OPTAB   ":<drive>.Library.CLib.optab"
 */
#define MNEMTAB "%.CLib.mnemtab"	/* opcode mnemonics */
#define OPTAB   "%.CLib.optab"		/* opcode table */

/* tcc commands */
/* Suggested value:
 * DFS:
 *   TCPP	"tcpp"
 *   TCCOM	"tccom"
 *   TCCOMC	"tccom -C"
 *   AS65	"as65 -o"
 *   RM	"rm -f"
 *   LD	"ld -o"
 *   SWLD	"ld -R -o"
 * If "%" is available:
 *   TCPP	"%.CLib.tcpp"
 *   TCCOM	"%.CLib.tccom"
 *   TCCOMC	"%.CLib.tccom -C"
 *   AS65	"%.CLib.as65 -o"
 *   RM	"%.CLib.rm -f"
 *   LD	"%.CLib.ld -o"
 *   SWLD	"%.CLib.ld -R -o"
 * If "%" is not available
 *   TCPP	":<drive>.Library.CLib.tcpp"
 *   TCCOM	":<drive>.Library.CLib.tccom"
 *   TCCOMC	":<drive>.Library.CLib.tccom -C"
 *   AS65	":<drive>.Library.CLib.as65 -o"
 *   RM	":<drive>.Library.CLib.rm -f"
 *   LD	":<drive>.Library.CLib.ld -o"
 *   SWLD	":<drive>.Library.CLib.ld -R -o"
 */
#define TCPP	"%.CLib.tcpp"
#define TCCOM	"%.CLib.tccom"
#define TCCOMC	"%.CLib.tccom -C"
#define AS65	"%.CLib.as65 -o"
#define RM	"%.CLib.rm -f"
#define LD	"%.CLib.ld -o"
#define SWLD	"%.CLib.ld -R -o"

/* tcc pathnames */
/* Suggested values:
 * DFS:
 *   EXT	":0.$.ext/s :0.$.enter/s"
 *   CRT	":0.$.crt"
 *   SWEXT	":0.$.swext/s :0.$.enter/s"
 *   SWCRT	":0.$.swcrt"
 *   SCEXT	":0.$.swext/s :0.$.start/s"
 *   COMP	"compile"
 *   EXEC	"*exec compile"
 * If "%" is available:
 *   EXT	"%.CLib.ext/s %.CLib.enter/s"
 *   CRT	"%.CLib.crt"
 *   SWEXT	"%.CLib.swext/s %.CLib.enter/s"
 *   SWCRT	"%.CLib.swcrt"
 *   SCEXT	"%.CLib.swext/s %.CLib.start/s"
 *   COMP	"compile"
 *   EXEC	"*exec compile"
 * If "%" is not available:
 *   EXT	":<drive>.Library.CLib.ext/s :<drive>.Library.CLib.enter/s"
 *   CRT	":<drive>.Library.CLib.crt"
 *   SWEXT	":<drive>.Library.CLib.swext/s :<drive>.Library.CLib.enter/s"
 *   SWCRT	":<drive>.Library.CLib.swcrt"
 *   SCEXT	":<drive>.Library.CLib.swext/s :<drive>.Library.CLib.start/s"
 *   COMP	"compile"
 *   EXEC	"*exec compile"
 */
#define EXT	"%.CLib.ext/s %.CLib.enter/s"
#define CRT	"%.CLib.crt"
#define SWEXT	"%.CLib.swext/s %.CLib.enter/s"
#define SWCRT	"%.CLib.swcrt"
#define SCEXT	"%.CLib.swext/s %.CLib.start/s"
#define COMP	"compile"
#define EXEC	"*exec compile"

/* tcpp pathnames */
/* Suggested values:
 * DFS:
 *   INCLUDE	":0."
 * If "%" is available:
 *   INCLUDE	"%.CLib."
 * If "%" is not available
 *   INCLUDE	":<drive>.Library.CLib."
 */
#define INCLUDE "%.CLib."

#endif
