; oshdr.s  26-Jan-89  A.J.Travis

;
; operating system header file for tcc run-time support
;

;
; pseudo regs in page zero
;
; 2 lsb of primary are kept in the
; x and y registers whenever possible
;
pr	=$70		;primary reg        (32-bits)
sr	=$74		;secondary reg      (32-bits)
tr	=$78		;tertiary reg       (32-bits)
sp	=$7c		;data stack pointer (16-bits)
;
; page zero workspace
;
rsp	=$7e		;return stack pointer
asave	=$7f		;temp for a
param	=$80		;page zero parameter block
;
; MOS variables
;
osrom 	=$f4		;number of sideways ROM being executed
;
; MOS vectors
;
userv	=$200		;user vector
brkv	=$202		;brk vector
irq1v	=$204		;primary interrupt vector
irq2v	=$206		;unrecognised irq vector
cliv	=$208		;command line interpreter
bytev	=$20a		;*fx/osbyte call
wordv	=$20c		;osword call
wrchv	=$20e		;write character
rdchv	=$210		;read character
filev	=$212		;load/save file
argsv	=$214		;load/save file data
bgetv	=$216		;get byte from file
bputv	=$218		;put byte in file
gbpbv	=$21a		;multiple bput/bget
findv	=$21c		;open or close file
fscv	=$21e		;file system control entry
evntv	=$220		;event vector
uptv	=$222		;user print routine
netv	=$224		;econet vector
vduv	=$226		;unrecognised vdu commands
keyv	=$228		;keyboard vector
insv	=$22a		;insert into buffer vector
remv	=$22c		;remove from buffer vector
cnpv	=$22e		;count/purge buffer vector
ind1v	=$230		;spare vector
ind2v	=$232		;spare vector
ind3v	=$234		;spare vector
;
; page 4 workspace
;
gsbuf	=$0400		;general string input buffer
;	
; MOS interface
;
osurom	=$8000		;user paged ROM/RAM area
osrdrm	=$ffb9		;read byte from paged ROM
oseven	=$ffbf		;generate an event
gsinit	=$ffc2		;string input initialise
gsread	=$ffc5		;read char from string
nvwrch	=$ffc8		;non-vectored write char
nvrdch	=$ffcb		;non-vectored read char
osfind	=$ffce		;open/close file
osgbpb	=$ffd1		;group get/put bytes
osbput	=$ffd4		;put byte to file
osbget	=$ffd7		;get byte from file
osargs	=$ffda		;load/save file data
osfile	=$ffdd		;load/save complete file
osrdch	=$ffe0		;read char (key/RS423)
osasci	=$ffe3		;write ascii char (vdu/RS423)
osnewl	=$ffe7		;write lf,cr (vdu/RS423)
oswrch	=$ffee		;write char (vdu/RS423)
osword	=$fff1		;MOS word call (control block)
osbyte	=$fff4		;MOS byte/*fx call
oscli	=$fff7		;command line interpreter
;
